Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/currencies"{ "data": [ { "id": "string", "code": "string", "name": "string", "precision": 0, "expiration_policy": { "type": "never", "days": 1 }, "negative_balance": "forbid", "version": 0, "created_at": "string", "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Header Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/currencies" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "name": "string" }'{ "id": "string", "code": "string", "name": "string", "precision": 0, "expiration_policy": { "type": "never", "days": 1 }, "negative_balance": "forbid", "version": 0, "created_at": "string", "updated_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/currencies/string"{ "id": "string", "code": "string", "name": "string", "precision": 0, "expiration_policy": { "type": "never", "days": 1 }, "negative_balance": "forbid", "version": 0, "created_at": "string", "updated_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/currencies/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "code": "string", "name": "string", "precision": 0, "expiration_policy": { "type": "never", "days": 1 }, "negative_balance": "forbid", "version": 0, "created_at": "string", "updated_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/currencies/string"Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Query Parameters
1 <= value <= 20050length <= 2048Value in
- "earn"
- "spend"
- "expire"
- "reverse"
- "adjust"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/ledger_entries"{ "data": [ { "id": "string", "customer_id": "string", "currency": "string", "type": "earn", "status": "pending", "amount": 0, "remaining": 0, "confirm_at": "string", "expires_at": "string", "reversal_of": "string", "source_type": "string", "source_id": "string", "idempotency_key": "string", "reason": "string", "created_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Header Parameters
Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/ledger_entries" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_123", "currency": "points", "amount": 500, "reason": "goodwill credit" }'{ "id": "string", "customer_id": "string", "currency": "string", "type": "earn", "status": "pending", "amount": 0, "remaining": 0, "confirm_at": "string", "expires_at": "string", "reversal_of": "string", "source_type": "string", "source_id": "string", "idempotency_key": "string", "reason": "string", "created_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/ledger_entries/string"{ "id": "string", "customer_id": "string", "currency": "string", "type": "earn", "status": "pending", "amount": 0, "remaining": 0, "confirm_at": "string", "expires_at": "string", "reversal_of": "string", "source_type": "string", "source_id": "string", "idempotency_key": "string", "reason": "string", "created_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/customers/string/balances"{ "data": [ { "customer_id": "string", "currency": "string", "available": 0, "pending": 0, "lifetime_earned": 0, "updated_at": "string" } ], "next_cursor": "string", "has_more": true}